% Inner style

\mode<beamer | handout> % -----------------------------------------------------

% Settings detailed
\setbeamertemplate{caption}{\insertcaption}

% Sizes
\setbeamersize{text margin left=2.0em}
\setbeamersize{text margin right=2.0em}

% Package: biblatex
\defbibheading{bibliography}[\refname]{}

\mode
<all>

\mode<trans> % ----------------------------------------------------------------

% Settings detailed
\setbeamertemplate{block begin}{%
  \begin{beamercolorbox}[ht=2.5ex,dp=1ex]{block title}%
    \usebeamerfont{block title}%
    \MakeUppercase{\insertblocktitle}
  \end{beamercolorbox}%
  \usebeamerfont{block body}%
  \begin{beamercolorbox}[vmode]{block body}%
  \setlength{\parskip}{0.25\baselineskip}%
  \vspace*{\parskip}%
  \setlength{\rightskip}{0pt}% block text with hyphenation
}
\setbeamertemplate{block end}{%
  \end{beamercolorbox}%
  \vspace*{\baselineskip}%
}

\setbeamertemplate{caption}{\insertcaption}

\renewenvironment{figure}{%
  \refstepcounter{figure}%
  \begin{beamercolorbox}[ht=2.5ex,dp=1ex]{block title}%
    \usebeamerfont{block title}\usebeamercolor[fg]{block title}%
    \MakeUppercase{\figurename}~\thefigure%
  \end{beamercolorbox}%
  \vspace*{0.25\baselineskip}%
  \renewcommand\caption[1]{\usebeamerfont{caption}\usebeamercolor[fg]{caption}##1}%
}{%
  \vspace*{\baselineskip}%
}

\renewenvironment{table}{%
  \refstepcounter{table}%
  \begin{beamercolorbox}[ht=2.5ex,dp=1ex]{block title}%
    \usebeamerfont{block title}\usebeamercolor[fg]{block title}%
    \MakeUppercase{\tablename}~\thetable%
  \end{beamercolorbox}%
  \vspace*{0.25\baselineskip}%
  \renewcommand\caption[1]{\vspace*{0.4\baselineskip}\usebeamerfont{caption}\usebeamercolor[fg]{caption}##1}%
  \usebeamercolor[fg]{tabular}
  % \rowcolors{1}{tabular.bg}{tabular.bg}
}{%
  \vspace*{\baselineskip}%
}

% Package: biblatex
\defbibheading{bibliography}[\refname]{%
  \usebeamerfont{block title}%
  \usebeamercolor[fg]{block title}\MakeUppercase{#1}%
  \vspace*{0.25\baselineskip}%
}

% Sizes
\setbeamersize{text margin left=4.0em}
\setbeamersize{text margin right=4.0em}

\mode
<all>

\mode<all> % ------------------------------------------------------------------

% Settings detailed
\setbeamertemplate{navigation symbols}{}

\setbeamertemplate{itemize item}[triangle]
\setbeamertemplate{itemize subitem}[circle]
\setbeamertemplate{enumerate item}[square]
\setbeamertemplate{enumerate subitem}[circle]

\setbeamertemplate{bibliography item}{\insertbiblabel}

% Package: biblatex
\setlength{\bibhang}{1.5em}
\setlength{\biblabelsep}{1em}

% Package: tabularx
\setlength{\aboverulesep}{0pt}
\setlength{\belowrulesep}{0pt}

\mode
<all>
